
Ryzom - Bug # 279

Status: Closed Priority: Normal
Author: kishan Category: NeL: General
Created: 01/10/2009 Assignee:
Updated: 09/30/2010 Due date:
Subject: Integer overflow with gcc
Description

in eval_num_expr.cpp
(double)(RAND_MAX+1) returns a negative value with some compilers

History
#1 - 01/10/2009 06:27 pm - kishan
- Assignee set to kishan

#2 - 01/10/2009 07:12 pm - kishan
- File deleted (integer_overflow_with_gcc.diff)

#3 - 01/10/2009 07:30 pm - kervala
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r751.

#4 - 05/11/2009 03:26 pm - sfb
- Target version set to Version 0.7.0

#5 - 05/11/2009 03:48 pm - sfb
- Status changed from Resolved to Closed

#6 - 09/29/2010 09:28 pm - kervala
- Project changed from NeL to Ryzom
- Category deleted (Misc)
- Target version deleted (Version 0.7.0)

#7 - 09/30/2010 11:44 am - kervala
- Category set to NeL: General
- Assignee deleted (kishan)
- Target version set to Version 0.7.0

Files
integer_overflow_with_gcc.diff 634 Bytes 01/10/2009 kishan
